/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef ABEDITOR_H
#define ABEDITOR_H

#include "abeditorbase.h"

class AbEntry;

class AbEditor : public AbEditorBase
{
    Q_OBJECT

public:
    AbEditor( AbEntry* entry, QWidget* parent = 0,
	      const char* name = 0, WFlags fl = 0 );
    ~AbEditor();

    void hideEvent( QHideEvent *e );
    QString fieldOrder();

public slots:
    void setEntry( AbEntry* );
    void parseName();
    void fullName();
    void fullNameEdited();
    void company();
    void companyEdited();

private:
    AbEntry *ent;
    bool nameDirty, companyDirty, addressDirty;
};

#endif
