/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef ABLINEEDIT_H
#define ABLINEEDIT_H

#include <qlineedit.h>
class AbEntry;

class AbLineEdit : public QLineEdit
{
    Q_OBJECT

public:
    AbLineEdit( QWidget *parent, const char *name=0 );
    ~AbLineEdit();

    void init( AbEntry*, char *, const QString & );
    void setName( char *name );

public slots:
    void sync();

protected:
    virtual void focusInEvent( QFocusEvent * );
    virtual void focusOutEvent( QFocusEvent * );

private:
    bool isHinting;
    QString purposeHintText;
    AbEntry *ent;
};
#endif // ABLINEEDIT_H

