/* ---------------------------------------------------------------------- */
/*                                                                        */
/* [main.C]                        Konsole                                */
/*                                                                        */
/* ---------------------------------------------------------------------- */
/*                                                                        */
/* Copyright (c) 1997,1998 by Lars Doelle <lars.doelle@on-line.de>        */
/*                                                                        */
/* This file is part of Konsole, an X terminal.                           */
/*                                                                        */
/* The material contained in here more or less directly orginates from    */
/* kvt, which is copyright (c) 1996 by Matthias Ettrich <ettrich@kde.org> */
/*                                                                        */
/* ---------------------------------------------------------------------- */
/*									      */
/* Ported Konsole to Qt/Embedded                                              */
/*									      */
/* Copyright (C) 2000 by John Ryland <jryland@trolltech.com>                  */
/*									      */
/* -------------------------------------------------------------------------- */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <qpeapplication.h>
#include "konsole.h"


/* --| main |------------------------------------------------------ */
int main(int argc, char* argv[])
{
  setuid(getuid()); setgid(getgid()); // drop privileges

  QPEApplication a( argc, argv );

  const char* shell = getenv("SHELL");
  if (shell == NULL || *shell == '\0')
    shell = "/bin/sh";
  putenv((char*)"COLORTERM="); // to trigger mc's color detection

  QStrList tmp;
  Konsole *m = new Konsole( "test", shell, tmp, TRUE  );
  m->setCaption( "EmbeddedKonsole" );
  m->showMaximized();
  a.setMainWidget( m );
  // m->setColLin(c,l); // will use default height and width if called with (0,0)
  m->show();

  return a.exec();
}
