/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qpeapplication.h>
#include "qimpeninput.h"

int main( int argc, char *argv[] )
{
    QPEApplication a( argc, argv );

    QIMPenInput w( 0, 0, QWidget::WStyle_Customize | QWidget::WStyle_NoBorder 
			    | QWidget::WStyle_StaysOnTop );
    w.setFrameStyle( QFrame::Box | QFrame::Plain );
    w.setLineWidth( 1 );
    w.addCharSet( "asciilower.qpt" );
    w.addCharSet( "asciiupper.qpt" );
    w.addCharSet( "numeric.qpt" );
    w.show();
    w.resize( w.width(), w.sizeHint().height() + 1 );
    w.move( 0, app.desktop()->height() - w.height() );
    w.hideShow();

    a.setMainWidget( &w );
    a.exec();

    return 0;
}
