/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef FILEMANAGER_H
#define FILEMANAGER_H

#include <qstring.h>
#include <qstringlist.h>

class FileManager
{
public:
    struct File
    {
	QString filename;
	QString category;
	bool operator==( const File &f ) const { return filename == f.filename && category == f.category; }
    };

    FileManager();

    QValueList<File> files( const QString &category, const QString &filter );
    QString absoluteFileName( const File &f ) const;

    bool saveFile( const File &f, const QByteArray &data );
    bool loadFile( const File &f, QByteArray &data );

    bool exists( const File &f );

private:
    QValueList<File> parseFileList( const QString &filename );
    void writeFileList( const QValueList<File> &lst, const QString &filename );

};


#endif
