#include <qbitmap.h>
#include "mediabutton.h"


MediaButton::MediaButton( QWidget *parent, bool t, int x, int y, int ct, int s )
    : QButton( parent, "button" ), size(s), controlType(ct)
{
    setToggleButton( t );

    if (t)
	setToggleType( Toggle );

    move( x, y );

    if (size == 0) {
	QPixmap button = QPixmap( "../pics/mediaButton1a.png" );
	
	setMask( button.createHeuristicMask() );
	//setMask( * button.mask() );

        // setFixedSize( 64, 64 );
        setFixedSize( button.width(), button.height() );
    } else {
	QPixmap button = QPixmap( "../pics/mediaButton2a.png" );

	setMask( button.createHeuristicMask() );
	//setMask( * button.mask() );

        // setFixedSize( 90, 90 );
        setFixedSize( button.width(), button.height() );
    }

//  setFlat( TRUE );
//  setPixmap( QPixmap( "../pics/big_button.png" ) );
}


void MediaButton::setControlType( int c )
{
    controlType = c;
}


/*
MediaButton::~MediaButton()
{
}
*/
/*
void MediaButton::paintEvent( QPaintEvent *pe )
{
}
*/
void MediaButton::drawButton( QPainter *p )
{
    int buttonX = 0, buttonY = 0;
    QBitmap control_icons( "../pics/mediaControls.png" );
    control_icons.setMask( control_icons );
    p->setPen( QPen::NoPen );
    p->setPen( QPen( QColor( 0x00, 0x00, 0x00 ) ) );
//    p->setRasterOp( Qt::AndROP );

    bool down = FALSE;

    if (isDown() || (isToggleButton() && isOn()))
	down = TRUE;

    if (size == 0) {
	if (down) {
	    QPixmap button = QPixmap( "../pics/mediaButton1b.png" );
	    p->drawPixmap( 0, 0, button );
	} else {
	    QPixmap button = QPixmap( "../pics/mediaButton1a.png" );
	    p->drawPixmap( 0, 0, button );
	}
	
//	QPixmap button = QPixmap( "../pics/big_button.png" );
	//button.setMask( button.createHeuristicMask() );
	// p->drawPixmap( 0, 0, QPixmap( "../pics/big_button.png" ) );
//	p->drawPixmap( 0, 0, button );

	buttonX = 32-8 -1;
	buttonY = 32-8 -2;
    } else {
	if (down) {
	    QPixmap button = QPixmap( "../pics/mediaButton2a.png" );
	    p->drawPixmap( 0, 0, button );
	} else {
	    QPixmap button = QPixmap( "../pics/mediaButton2b.png" );
	    p->drawPixmap( 0, 0, button );
	}
    
//	QPixmap button = QPixmap( "../pics/big_button2.png" );
	//QBitmap buttonMask = QBitmap( "../pics/big_button2.png" );
	//button.setMask( buttonMask );
	// p->drawPixmap( 0, 0, QPixmap( "../pics/big_button2.png" ) );
//	p->drawPixmap( 0, 0, button );

	buttonX = 45-8;
	buttonY = 45-8;
    }

    if (down) {
	buttonX++;
	buttonY++;
    }

    p->setPen( QPen( QColor( 0x00, 0x00, 0x00 ) ) );
    //p->setBrush( QBrush( QColor( 0x00, 0x00, 0x00 ) ) );
    p->drawPixmap( buttonX-1, buttonY-1, control_icons, 16*controlType, 0, 16, 16 );
    p->setPen( QPen( QColor( 0xFF, 0xFF, 0xFF ) ) );
    //p->setBrush( QBrush( QColor( 0xFF, 0xFF, 0xFF ) ) );
    p->drawPixmap( buttonX+1, buttonY+1, control_icons, 16*controlType, 0, 16, 16 );
    p->setPen( QPen( QColor( 0x80, 0x80, 0x80 ) ) );
    //p->setBrush( QBrush( QColor( 0xA0, 0xA0, 0xA0 ) ) );
    p->drawPixmap( buttonX, buttonY, control_icons, 16*controlType, 0, 16, 16 );
}

/*
void MediaButton::drawButtonLabel( QPainter *p )
{
    Q_UNUSED( p );
}
*/

