#ifndef __MP3_PLAYER_H__
#define __MP3_PLAYER_H__


#include <qpopupmenu.h>
#include <qmainwindow.h>
#include <qintdict.h>
#include <qcanvas.h>
#include "filemanager.h"
#include "mediabutton.h"


class MpegView;
// class MpegControl;
class FileSelector;
class QWidgetStack;


class Mp3PlayerWindow : public QMainWindow
{
Q_OBJECT
public:
    Mp3PlayerWindow(QWidget* parent=0, const char* name=0, WFlags f=0);
    ~Mp3PlayerWindow();

    QSizePolicy sizePolicy () {
	return QSizePolicy( QSizePolicy::Fixed, QSizePolicy::Fixed );
    }
    
    QSize sizeHint () {
	return QSize( 240, 320 );
    }

private slots:

    void open();
    void openFile( const FileManager::File & );
    void closeFileSelector();
    void play( const QString & );

    void openMp3();
    void openPlaylist();

    void options();
    void editPlaylist();
    void init();
    void about();

    void incVolume();
    void decVolume();
    
    void playToggle( bool );
    

private:
//    QPopupMenu* options;
    int dbf_id;

    int	volume;

    QWidgetStack*stack;
    MpegView	*mpeg;
    FileSelector*fileSelector;
    QFrame	*controls; 

    MediaButton	*playButton;
};


#endif

