/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qmainwindow.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qmessagebox.h>
#include <qdatetime.h>
#include <qtimer.h>
#include <stdlib.h>
#include "../clock/settime.h"
#include "launcherclock.h"


LauncherClock::LauncherClock( QWidget *parent = 0 ) : QLabel( parent )
{
    setFont( QFont( "Helvetica", 10, QFont::Normal ) );
    timerEvent( 0 );
    startTimer( 5000 );
}


void LauncherClock::mouseReleaseEvent( QMouseEvent * )
{
    SetDateTime *sdt = new SetDateTime( 0, 0, FALSE, QWidget::WDestructiveClose | QWidget::WGroupLeader );
    // make the stupid QTable show with correct column widths
#ifdef _WS_QWS_
    sdt->showMaximized();
#endif
    sdt->show();
//    QTimer::singleShot( 0, sdt, SLOT(show()) );
}


void LauncherClock::timerEvent( QTimerEvent *e )
{
    QTime tm = QDateTime::currentDateTime().time();
    QString s;
    s.sprintf( "%2d:%02d %s", ((tm.hour() - 1) % 12) + 1, tm.minute(), (tm.hour() > 12) ? "PM" : "AM" );
    setText( s );
    if ( e )
	QLabel::timerEvent( e );
}

