/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef QSPELLCHECKER_H
#define QSPELLCHECKER_H

#include "qrichtext_p.h"
#include "qdawg.h"

class QSpellChecker : public QTextSyntaxHighlighter
{
public:
    QSpellChecker( QTextDocument *d );
    virtual ~QSpellChecker() {}
    void highlighte( QTextParag *string, int start, bool invalidate = TRUE );

private:
    QTextFormat *format( int ) { return 0; }
    enum State {
	Acceptable,
	Intermediate, 
	Invalid
    };
    State findWordState(const QDawg::Node* n, const QString& s, int index = 0 ) const;
    bool checkWord( const QString &word, int i, QTextParag *string );
    
    QTextFormat *invalidFormat;
};

#endif
